Struggle running updated KiCad flatpak

I am a tinkerer with KiCad, been following it since last century, but sidetracked to other programs. I am unable to spend enough time to get to know it properly, maybe one day.

I am running Linux PCLinuxOS, which has v5.1x in repo. Month ago such as before covid I suggested an upgrade. Not enough requests to entice action on that.

With caution I experimented with a flatpak version installed about 1 year ago , and it seems to work.

Application: KiCad PCB Editor

Version: 6.0.0, release build

Libraries:
wxWidgets 3.1.5
libcurl/7.79.1-DEV GnuTLS/3.7.2 (NSS/3.68.1) (OpenSSL/1.1.1l) zlib/1.2.11 libidn2/2.3.1 nghttp2/1.44.0

Platform: Linux 5.14.16-pclos1 x86_64, 64 bit, Little endian, wxGTK, ,

Build Info:
Date: Dec 25 2021 12:30:46
wxWidgets: 3.1.5 (wchar_t,wx containers) GTK+ 3.24
Boost: 1.78.0
OCC: 7.5.1
Curl: 7.79.1-DEV
ngspice: 35
Compiler: GCC 11.2.0 with C++ ABI 1016

Build settings:
KICAD_USE_OCC=ON
KICAD_USE_EGL=ON
KICAD_SPICE=ON

From command line
flatpak install --from https://flathub.org/repo/appstream/org.kicad.KiCad.flatpakref

It seems the flatpak has been updated to v 6.0.9 well I think so. Not sure it means the ‘flat pak’ has or KiCad. I think it is flat pak update because when installing I get this message

[gert@hp800-G2 ~]$ flatpak install --from https://flathub.org/repo/appstream/org.kicad.KiCad.flatpakref
error: App org.kicad.KiCad, branch stable is already installed
[gert@hp800-G2 ~]$

Can anybody enlighten me a bit?

Added, I am unfamiliar or have forgotten how this forum works. Seems readable though. Blockquote seems not to do what I expected.

Can’t help with flatpak. You may have to wait for Europe and US to wake up.

To block quote: Hold left mouse button down from start to finish of quote. Upon release, left click the the word “quote” in the pop-up box.

About Kicad and OS versions: Go to Help > About Kicad. Top RH corner click “Copy Version Info” then paste into your post.

Thank you for replying.
Tested your info on ‘blockquoting’ it seemed familiar, my poor memory does not reach to let me know if I have used it before here in this forum. I think I have got it for the time being.

How to get the version details, I did find that out, pasted it in my favorite text editor with a bit of other information and copied back to here.

My thinking of the the flatpack message that ‘stable version’ was already installed made me think I will hide it by renaming. Well I did that but I don’t think I found the right place to rename the directory because it did not work.

By hiding I was hoping the install of the v 6.0.9. would go ahead :smile:

[gert@hp800-G2 ~]$ flatpak
build enter ps
build-bundle history remote-add
build-commit-from info remote-delete
build-export install remote-info
build-finish kill remote-ls
build-import-bundle list remote-modify
build-init make-current remotes
build-sign mask repair
build-update-repo override repo
config permission-remove run
create-usb permission-reset search
document-export permissions uninstall
document-info permission-set update
documents permission-show
document-unexport pin
[gert@hp800-G2 ~]$ flatpak

Above is the ‘flatpak’ options and I got the trail when I came across

This worked in my case, used a number of the options to check, and experiment till I was confident to apply it on my machine.

When removed the normal install worked, and I now how ver 6.0.9 running in pclinuxos. I have posted this on the PCLinuxOS Forum partly as a record for my own help when I forget what I am doing.

I have made some small experiments and it seems I do remember enough to make use of schematic editor. Though it takes me far too long time compared with what I could do in the past. Seems my excursion to use Autotrax, quite brilliant but only in Windows land, have cost me rather dear in time. I really wanted to get back to Linux.

I am happy experimenter now